export declare enum LogColors {
    BLACK = "\u001B[30m",
    RED = "\u001B[31m",
    GREEN = "\u001B[32m",
    YELLOW = "\u001B[33m",
    BLUE = "\u001B[34m",
    MAGENTA = "\u001B[35m",
    CYAN = "\u001B[36m",
    WHITE = "\u001B[37m"
}
export default class DiagnosticLogs {
    static readonly logIdent: string;
    private static BOLD;
    private static RESET;
    static colorizeText(msg: string, color: LogColors): string;
    static header(msg: string): void;
    static log(msg: string, options?: string): void;
    static logWithPrefix(msg: string, prefix: string, numberOfRepeats?: number): void;
}
